Skip to main content
POST
Confirm multi payment instructions
Review a processed mass payment and then confirm the instruction to allow trade and payments creation. You have to confirm a mass payment instruction when
  1. The auto_commit field is set to false,
  2. The auto_commit field is set to true and errors are identified at the time of processing request.
Please note that a mass payment can be only confirmed when the mass payment status is “processed”, otherwise a 400 Bad request error will be returned. When hitting this endpoint, the new payment status will change to “creating”.

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token

X-Contact-ID
string

The ID of the contact

Path Parameters

mass_payment_id
string
required

The mass payment ID

Query Parameters

client_id
string
required

The ID of the client

Response

Masspayment confirmation accepted, see response body for status

mass_payment_id
string<uuid>

The UUID of the MassPayment just created

external_reference_id
string

The external reference for the MassPayment, if supplied

mass_payment_status
enum<string>

This is an enumeration of the status of a MassPayment

Available options:
Queued for processing,
Processing,
Processed,
Queued for creating,
Creating,
Created,
Cancelled,
Failed